package nl.nikhef.tools.xml;

/**
 * XOLProxyFactory which creates SimpleObjectProxy instances. 
 * 
 * @author vincentb
 *
 * @param <I>
 */
public class SimpleObjectProxyFactory<I> implements XOLProxyFactory<I> {

	private Class<I> _class;

	public SimpleObjectProxyFactory(Class<I> clazz) 
	{
		_class = clazz;
	}
	
	@Override
	public XOLProxy<I> newProxy() {
		return new SimpleObjectProxy<I>(_class);
	}

}
